Getting error in running quick start STARFISH example

Hello everyone,

I am new user to STARFISH. I am trying to run the plot_quick_start.py script. But getting error in find_spots step. Anyone have any idea why it is giving error.
Here is the output:

ankit@ankitX:~/Music/starfishTutorial$ python3 plot_quick_start.py
/usr/lib/python3/dist-packages/requests/init.py:80: RequestsDependencyWarning: urllib3 (1.24.3) or chardet (3.0.4) doesn’t match a supported version!
RequestsDependencyWarning)
100%|███████████████████████████████████████████| 16/16 [00:00<00:00, 85.35it/s]
100%|█████████████████████████████████████████████| 1/1 [00:00<00:00, 61.74it/s]
100%|████████████████████████████████████████████| 1/1 [00:00<00:00, 157.15it/s]
100%|████████████████████████████████████████████| 4/4 [00:00<00:00, 130.25it/s]
Traceback (most recent call last):
File “plot_quick_start.py”, line 236, in
spots = find_spots(registered_imgs, dots_wth)
File “plot_quick_start.py”, line 150, in find_spots
intensities = p.run(image_stack=imgs, reference_image=dots)
File “/usr/local/lib/python3.6/dist-packages/starfish-0+unknown-py3.6.egg/starfish/core/pipeline/algorithmbase.py”, line 23, in helper
result = func(*args, **kwargs)
File “/usr/local/lib/python3.6/dist-packages/starfish-0+unknown-py3.6.egg/starfish/core/spots/FindSpots/blob.py”, line 185, in run
reference_spots = spot_finding_method(data_image)
File “/usr/local/lib/python3.6/dist-packages/starfish-0+unknown-py3.6.egg/starfish/core/spots/FindSpots/blob.py”, line 126, in image_to_spots
**spot_finding_args
TypeError: blob_log() got an unexpected keyword argument ‘exclude_border’

Hi, it looks like you might be using a version of scikit-image that doesn’t meet the starfish requirements. Can you check to see if the version installed in your environment is scikit-image==0.15.0? You can use pip show scikit-image.

Thanks a lot @mattcai Yes, my scikit-image version was 0.14.2; Now, I installed version 0.15 and it ran completely. Thank you.